#include <iostream>
#include <vector>
#include "histogram.h"
#include "svg_personal.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
    string text_style;
};

Input
input_data(){
    size_t number_count;
    cerr << "Enter number count:" << endl;
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    vector<double> numbers(number_count);
    cerr << "Enter numbers:" << endl;
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cerr << "Enter bin count:" << endl;
    cin >> in.bin_count;
    in.text_style = styled_text_func ();
    return in;
}

int
main() {
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.text_style);
    return 0;
}
